package com.muyu.aliyun.bailian;


import com.aliyun.sdk.service.bailian20231229.AsyncClient;
import com.aliyun.sdk.service.bailian20231229.models.AddFileRequest;
import com.aliyun.sdk.service.bailian20231229.models.AddFileResponse;
import com.muyu.aliyun.bailian.data.UploadDataManagementMode;
import com.muyu.aliyun.bailian.data.fixed.AddFileResponseBodyDataMode;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import java.util.concurrent.CompletableFuture;
import com.aliyun.sdk.service.bailian20231229.models.AddFileResponseBody;

@Component
@Log4j2
public class AddDataManagement {


    @Autowired
    private AsyncClient client;

    public AddFileResponseBodyDataMode addFile(UploadDataManagementMode uploadDataManagementMode) {
        AddFileRequest addFileRequest = AddFileRequest.builder()
                .workspaceId( uploadDataManagementMode.getWorkspaceId() )
                .regionId( uploadDataManagementMode.getLeaseId() )
                .categoryId( uploadDataManagementMode.getLeaseId() )
                .categoryType( uploadDataManagementMode.getCategoryType() )
                .leaseId( uploadDataManagementMode.getLeaseId() )
                .parser( uploadDataManagementMode.getParser() )
                .tags( uploadDataManagementMode.getTags() )
                .build();
        String exceptionName = "";
        try {
            CompletableFuture<AddFileResponse> addFileResponse = client.addFile(addFileRequest);
            AddFileResponse addFileResponseget = addFileResponse.get();
            if (addFileResponseget.getStatusCode() != 200) {
                throw new RuntimeException(addFileResponseget.toString());
            }
            AddFileResponseBody body = addFileResponseget.getBody();
            AddFileResponseBody.Data data = body.getData();
            log.info("data:{}", data);
            return AddFileResponseBodyDataMode.builder()
                    .fileId(data.getFileId())
                    .parser(data.getParser())
                    .build();

        } catch (Exception error) {
            log.error("异常：「{}」", error.getMessage(), error);
        }
        return null;
    }
}
