package com.muyu.aliyun.bailian;

import com.aliyun.sdk.service.bailian20231229.AsyncClient;
import com.aliyun.sdk.service.bailian20231229.models.DescribeFileRequest;
import com.aliyun.sdk.service.bailian20231229.models.DescribeFileResponse;
import com.muyu.aliyun.bailian.data.UploadDescribeFileMode;
import com.muyu.aliyun.bailian.data.fixed.DescribeFileResponseBodyDataMode;
import darabonba.core.exception.TeaException;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.aliyun.sdk.service.bailian20231229.models.DescribeFileResponseBody;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.CompletableFuture;

@Component
@Log4j2
public class ReviewResolution {


    @Autowired
    private AsyncClient client;

    public DescribeFileResponseBodyDataMode DescribeFile(UploadDescribeFileMode uploadDescribeFileMode) {
        DescribeFileRequest describeFileRequest = DescribeFileRequest.builder()
                .workspaceId( uploadDescribeFileMode.getWorkspaceId() )
                .regionId( uploadDescribeFileMode.getRegionId() )
                .regionId( uploadDescribeFileMode.getFileId() )
                .build();
        try {
            // 复制代码运行请自行打印 API 的返回值
            CompletableFuture<DescribeFileResponse> describeFileResponse = client.describeFile(describeFileRequest);
            DescribeFileResponse describeFileResponseget = describeFileResponse.get();
            if (describeFileResponseget.getStatusCode() == 200) {
                log.info("文件信息获取成功");
            } else {
                log.info("文件信息获取失败");
                throw new RuntimeException(describeFileResponseget.toString());
            }

            DescribeFileResponseBody body = describeFileResponseget.getBody();
            DescribeFileResponseBody.Data data = body.getData();
            log.info("data:{}", data);
            return DescribeFileResponseBodyDataMode.builder()
                    .categoryId(data.getCategoryId())
                    .createTime(data.getCreateTime())
                    .fileId(data.getFileId())
                    .fileName(data.getFileName())
                    .fileType(data.getFileType())
                    .parser(data.getParser())
                    .sizeInBytes(data.getSizeInBytes())
                    .status(data.getStatus())
                    .tags(data.getTags())
                    .build();

        } catch (TeaException error) {
            log.error("异常：「」", error);
        } catch (Exception _error) {
            log.error("异常：「」", _error);
        }
        return null;
    }
}

