package com.muyu.aliyun.bailian.data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FileUploadLeaseMode {

    /**
     * CategoryId字段用于存储文件的类别ID
     * 这个ID有助于对文件进行分类管理
     */
    private String CategoryId;

    /**
     * FileName字段用于存储文件的名称
     * 它帮助用户识别和搜索特定的文件
     */
    private String FileName;

    /**
     * Md5字段用于存储文件的MD5哈希值
     * 这个值用于验证文件的完整性，确保文件未被篡改
     */
    private String Md5;

    /**
     * SizeInBytes字段用于存储文件的大小，以字节为单位
     * 这个信息有助于用户了解文件的存储空间占用情况
     */
    private String SizeInBytes;

    /**
     * WorkspaceId字段用于存储文件所属的工作空间ID
     * 这个ID用于确定文件属于哪个工作空间，有助于进行权限管理和访问控制
     */
    private String WorkspaceId;
}
