package com.muyu.aliyun.bailian.data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UploadFileModel {

    /**
     * 用于存储预签名的URL，该URL用于访问存储服务中的对象
     */
    private String preSignedUrl;

    /**
     * 用于存储文件在本地的路径
     */
    private String filePath;

    /**
     * 用于存储HTTP请求的方法，例如GET、POST等
     */
    private String method;

    /**
     * 用于存储百链额外信息，可能包括与百链系统相关的特定参数或元数据
     */
    private String bailianExtra;

    /**
     * 用于存储文件的内容类型，例如text/plain、image/jpeg等
     */
    private String contentType;

    /**
     * 用于存储源URL字符串，即文件原始位置的URL
     */
    private String sourceUrlString;
}
