package com.muyu.aliyun.bailian.properties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author dongzeliang
 * @version 1.0
 * @description: 阿里云百炼配置
 * @date 2025/2/22 16:23
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Configuration
@ConfigurationProperties(prefix = "aliyun.bailian")
public class AliYunBaiLianProperties {
    /**
     * 百炼服务的终端节点，用于指定OSS服务的接入地址
     */
    private String endpoint;

    /**
     * 阿里云访问密钥ID，用于身份验证
     */
    private String accessKeyId;

    /**
     * 阿里云访问密钥，与accessKeyId一起用于身份验证
     */
    private String accessKeySecret;
}
